E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GAuth::SaslServerBasic Class Reference

An implementation of the SaslServer interface that does not use pluggable modules. More...

`#include <gsaslserverbasic.h>`

Inheritance diagram for GAuth::SaslServerBasic:

## Public Member Functions
| SaslServerBasic (const SaslServerSecrets &, bool allow_apop)
| Constructor.
virtual | ~SaslServerBasic ()
| Destructor.
virtual bool | requiresEncryption () const override
| Override from GAuth::SaslServer.
virtual bool | active () const override
| Override from GAuth::SaslServer.
virtual std::string | mechanisms (char sep= ' ') const override
| Override from GAuth::SaslServer.
virtual bool | init (const std::string &mechanism) override
| Override from GAuth::SaslServer.
virtual std::string | mechanism () const override
| Override from GAuth::SaslServer.
virtual bool | mustChallenge () const override
| Override from GAuth::SaslServer.
virtual std::string | initialChallenge () const override
| Override from GAuth::SaslServer.
virtual std::string | apply (const std::string &response, bool &done) override
| Override from GAuth::SaslServer.
virtual bool | authenticated () const override
| Override from GAuth::SaslServer.
virtual std::string | id () const override
| Override from GAuth::SaslServer.
virtual bool | trusted (const GNet::Address &) const override
| Override from GAuth::SaslServer.
Public Member Functions inherited from GAuth::SaslServer
virtual | ~SaslServer ()
| Destructor.

## Detailed Description

An implementation of the SaslServer interface that does not use pluggable modules.

See also
  GAuth::SaslServerPam

Definition at line 45 of file gsaslserverbasic.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gauth/gsaslserverbasic.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gauth/gsaslserverbasic.cpp